Name:		thinkfan
Version:	1.3.1
Release:	%mkrel 2
Group:		System/Kernel and hardware
Summary:	A simple fan control program

License:	GPLv3+
URL:		https://github.com/vmatare/thinkfan
Source0:	https://github.com/vmatare/thinkfan/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	thinkfan.modprobe
Source2:	thinkfan.sysconfig

# Fix systemd service install directory
Patch0:		thinkfan_systemd.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(yaml-cpp)

Requires(post):		rpm-helper >= %{rpmhelper_required_version}
Requires(preun):	rpm-helper >= %{rpmhelper_required_version}

%description
A simple fan control program. Works with any Linux hwmon driver, especially
with thinkpad_acpi. It is designed to eat as little CPU power as possible.


%prep
%autosetup -p1

%build
%cmake -DUSE_ATASMART:BOOL=ON .
%cmake_build

%install
%cmake_install

# Install configuration file
install -Dpm 0644 examples/thinkfan.yaml %{buildroot}%{_sysconfdir}/thinkfan.conf

# Install modprobe configuration file
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/modprobe.d/thinkfan.conf

# Install sysconfig
install -Dpm 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/thinkfan

# Installed through %%license
rm -f %{buildroot}/%{_pkgdocdir}/COPYING

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_service %{name}

%files
%license COPYING
%doc README.md
%doc %{_pkgdocdir}/thinkfan.yaml
%{_sbindir}/thinkfan
%{_unitdir}/thinkfan.service
%{_unitdir}/thinkfan-wakeup.service
%{_unitdir}/thinkfan-sleep.service
%config(noreplace) %{_sysconfdir}/sysconfig/thinkfan
%config(noreplace) %{_sysconfdir}/thinkfan.conf
%config(noreplace) %{_sysconfdir}/modprobe.d/thinkfan.conf
%{_mandir}/man1/thinkfan.1.*
%{_mandir}/man5/thinkfan.conf.5.*
%{_mandir}/man5/thinkfan.conf.legacy.5.*


%changelog
* Tue Dec 27 2022 daviddavid <daviddavid> 1.3.1-2.mga9
+ Revision: 1927154
- rebuild for new yaml-cpp 0.7.0

* Thu Aug 18 2022 pol4n <pol4n> 1.3.1-1.mga9
+ Revision: 1878549
- new version: 1.3.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 16 2021 sander85 <sander85> 1.2.1-1.mga9
+ Revision: 1703776
- Imported from Fedora

